<template>
  <div class="mt-5">
    <div class="row mt-5 ms-3">
      <div
        class="row card res col-md-3 col-xs-6 m-2"
        v-for="row in data"
        :key="row.id"
      >
        <div class="row" style="cursor: pointer" @click="getIdTeam(row.id)">
          <div class="col-md-4 pt-3">
            <img :src="row.crestUrl" @error="replaceByDefault" width="70px" />
          </div>
          <div class="col-md-8 pt-2" style="height: 100px; font-size: 14px">
            <div>{{ row.name }}</div>
            <div class="mt-2">{{ row.venue }}</div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import axios from "axios";
import img from "../assets/404.png";
export default {
  data() {
    return {
      data: [],
      idArea: "",
    };
  },
  methods: {
    async getData() {
      const params = {
        headers: {
          "X-Auth-Token": "258f2af17cb14a459e29cc0cb1873d40",
        },
      };

      try {
        await axios
          .get("/api/v2/teams?areas=" + this.idArea, params)
          .then((response) => {
            this.data = response.data.teams;
          });
      } catch (error) {
        console.log(error);
      }
    },
    replaceByDefault(e) {
      e.target.src = img;
    },
    getIdTeam(id) {
      this.$router.push({ path: `/team-detail/${id}` });
    },
  },
  mounted() {
    this.idArea = this.$route.params.id;
    this.getData();
  },
};
</script>

<style lang="scss" scoped>
.card {
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
  transition: 0.3s;
}

.res {
  width: 23%;
}
@media only screen and (max-width: 900px) {
  .res {
    width: 45%;
  }
}
</style>